@echo off

if "%1"=="" goto tyhja

cls
echo *** MikroRabbi 3.1 asennusohjelma ***
echo *  Asennetaan %1-aseman             *
echo *  \MRABBI31- hakemistoon           *
echo *                                   *
echo *  Aseman pit„„ olla yksikirjaimi-  *
echo *  nen, esim. C: tai D: jne.        *
echo *                                   *
echo *  PAINA JOTAIN NˇPPˇINTˇ           *
echo *  tai keskeyt„ jos %1-asema on     *
echo *  v„„r„ (CTRL+C, Y)                *
echo *** MikroRabbi 3.1 asennusohjelma ***
pause >nul

cls
echo ****************** MikroRabbi 3.1 asennusohjelma *****************
echo *  Pakkaukseen on k„ytetty ARJ-pakkausohjelmaa:                  *
echo *  DEARJ 2.41a Copyright (c) 1990-93 Robert K Jung. Jul 10 1993  *
echo *  Registered to [Data Universum Ltd R#3344]                     *
echo ****************** MikroRabbi 3.1 asennusohjelma *****************
echo **********************************
echo *  Hetkinen, kopioin tiedostoja  * 
echo **********************************
dearj x -i -y *.a* %1\ >nul  
xcopy lueminut.wri %1\mrabbi31\ >nul

:alku
cls
echo ****************** MikroRabbi 3.1 asennusohjelma *****************
echo *  Pakkaukseen on k„ytetty ARJ-pakkausohjelmaa:                  *
echo *  DEARJ 2.41a Copyright (c) 1990-93 Robert K Jung. Jul 10 1993  *
echo *  Registered to [Data Universum Ltd R#3344]                     *
echo ****************** MikroRabbi 3.1 asennusohjelma *****************

type buffi.txt

echo ******************************************************************
echo *    LAITA SEURAAVA LEVY ASEMAAN JA PAINA JOTAIN NˇPPˇINTˇ       *
echo *                                                                *
echo *  Voit keskeytt„„ asennuksen painamalla CTRL+C ja               *
echo *  'Terminate batch job (Y/N)?'-kysymyksen j„lkeen Y-n„pp„int„.  *
echo ******************************************************************

pause >nul
echo **********************************
echo *  Hetkinen, kopioin tiedostoja  * 
echo **********************************
dearj x -i -y *.a* %1\ >nul 
goto alku

:tyhja
cls
echo *** MikroRabbi 3.1 asennusohjelma ***
echo *  Asennuksen k„ynnistys:           *
echo *  levyaseman_tunnus "ENTER"        *
echo *  ASENNA kovalevyn_tunnus "ENTER"  *
echo *  ESIM.   A: "ENTER"               *
echo *          ASENNA C: "ENTER"        *
echo *** MikroRabbi 3.1 asennusohjelma ***
